# Shepherd Enterprise

## Getting started

Setup shepherd architecture on-premises, using docker.

## How to setup?

1. Clone the repository `git clone https://gitlab.subcom.tech/SubconsciousCompute/shepherd-enterprise.git`.
2. Get the environment files(`.env.shepherd`, `.env.client`), from [Shepherd Portal](https://portal.shepherd.watch) by signing up for enterprise account.
3. Run the setup `cd shepherd-enterprise && sh setup-debian.sh true`.

## Prerequisites(Installed by the script mentioned above)

1. Cron
2. Git
3. Caddy
4. Docker

## Network Architecture Diagram

Upcoming!!

## Components

1. Shepherd Portal / Dashboard:
   1. Visualising metrics collected by **Shepherd Agent**, that are stored in **Victoria Metrics**.
   2. Apply enforcement to devices via **Shepherd Agent** & **ADM** as policies.
   3. Configure alerts & notification channels to receive alerts on.
   4. Schedule & download reports generated by **Reports Engine**.
   5. Enroll & setup **ADM**.
2. Victoria Metrics: Time series database to store data collected by **Shepherd Agent**, as timeseries.
3. Reports Engine: Generate.
4. OneAPI: Api accessed by agent, to register/unregister, push metrics, pull policies, compute & raise alerts.
5. Shepherd Agent: Stand-alone service, to collect metrics, apply enforcement.
6. Active Device Management(ADM): Push policy configured in dashboard to devices using **MDM**.


## References

- For complete documentation refer: [Shepherd On Prem Go Live Doc](https://www.notion.so/subcom/Shepherd-OnPrem-Go-Live-with-AWS-251585163aa4436b9a27530a07b2f3fd?pvs=4)